Package org.lwjgl.opengl

# Class ARBRobustness

java.lang.Object
org.lwjgl.opengl.ARBRobustness

public final class ARBRobustness extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB`
Returned by GetIntegerv when <pname> is CONTEXT_FLAGS:
`static final int`
`GL_GUILTY_CONTEXT_RESET_ARB`
Returned by GetGraphicsResetStatusARB:
`static final int`
`GL_INNOCENT_CONTEXT_RESET_ARB`
Returned by GetGraphicsResetStatusARB:
`static final int`
`GL_LOSE_CONTEXT_ON_RESET_ARB`
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_ARB:
`static final int`
`GL_NO_RESET_NOTIFICATION_ARB`
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_ARB:
`static final int`
`GL_RESET_NOTIFICATION_STRATEGY_ARB`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNKNOWN_CONTEXT_RESET_ARB`
Returned by GetGraphicsResetStatusARB:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glGetGraphicsResetStatusARB()`
`static void`
`glGetnColorTableARB(int target, int format, int type, ByteBuffer table)`
`static void`
`glGetnColorTableARB(int target, int format, int type, DoubleBuffer table)`
`static void`
`glGetnColorTableARB(int target, int format, int type, FloatBuffer table)`
`static void`
`glGetnCompressedTexImageARB(int target, int lod, int img_bufSize, long img_buffer_offset)`
`static void`
`glGetnCompressedTexImageARB(int target, int lod, ByteBuffer img)`
`static void`
`glGetnCompressedTexImageARB(int target, int lod, IntBuffer img)`
`static void`
`glGetnCompressedTexImageARB(int target, int lod, ShortBuffer img)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, int image_bufSize, long image_buffer_offset)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, ByteBuffer image)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, DoubleBuffer image)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, FloatBuffer image)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, IntBuffer image)`
`static void`
`glGetnConvolutionFilterARB(int target, int format, int type, ShortBuffer image)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, int values_bufSize, long values_buffer_offset)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, ByteBuffer values)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, DoubleBuffer values)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, FloatBuffer values)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, IntBuffer values)`
`static void`
`glGetnHistogramARB(int target, boolean reset, int format, int type, ShortBuffer values)`
`static void`
`glGetnMapdvARB(int target, int query, DoubleBuffer v)`
`static void`
`glGetnMapfvARB(int target, int query, FloatBuffer v)`
`static void`
`glGetnMapivARB(int target, int query, IntBuffer v)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, int values_bufSize, long values_buffer_offset)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, ByteBuffer values)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, DoubleBuffer values)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, FloatBuffer values)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, IntBuffer values)`
`static void`
`glGetnMinmaxARB(int target, boolean reset, int format, int type, ShortBuffer values)`
`static void`
`glGetnPixelMapfvARB(int map, FloatBuffer values)`
`static void`
`glGetnPixelMapuivARB(int map, IntBuffer values)`
`static void`
`glGetnPixelMapusvARB(int map, ShortBuffer values)`
`static void`
`glGetnPolygonStippleARB(ByteBuffer pattern)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, int row_rowBufSize, long row_buffer_offset, int column_columnBufSize, long column_buffer_offset, long span_buffer_offset)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, FloatBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, int img_bufSize, long img_buffer_offset)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, ByteBuffer img)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, DoubleBuffer img)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, FloatBuffer img)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, IntBuffer img)`
`static void`
`glGetnTexImageARB(int target, int level, int format, int type, ShortBuffer img)`
`static void`
`glGetnUniformdvARB(int program, int location, DoubleBuffer params)`
`static void`
`glGetnUniformfvARB(int program, int location, FloatBuffer params)`
`static void`
`glGetnUniformivARB(int program, int location, IntBuffer params)`
`static void`
`glGetnUniformuivARB(int program, int location, IntBuffer params)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, int data_bufSize, long data_buffer_offset)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, ByteBuffer data)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, DoubleBuffer data)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, FloatBuffer data)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, IntBuffer data)`
`static void`
`glReadnPixelsARB(int x, int y, int width, int height, int format, int type, ShortBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GUILTY_CONTEXT_RESET_ARB

public static final int GL_GUILTY_CONTEXT_RESET_ARB
Returned by GetGraphicsResetStatusARB:

See Also:
  - Constant Field Values

### GL_INNOCENT_CONTEXT_RESET_ARB

public static final int GL_INNOCENT_CONTEXT_RESET_ARB
Returned by GetGraphicsResetStatusARB:

See Also:
  - Constant Field Values

### GL_UNKNOWN_CONTEXT_RESET_ARB

public static final int GL_UNKNOWN_CONTEXT_RESET_ARB
Returned by GetGraphicsResetStatusARB:

See Also:
  - Constant Field Values

### GL_RESET_NOTIFICATION_STRATEGY_ARB

public static final int GL_RESET_NOTIFICATION_STRATEGY_ARB
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_LOSE_CONTEXT_ON_RESET_ARB

public static final int GL_LOSE_CONTEXT_ON_RESET_ARB
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_ARB:

See Also:
  - Constant Field Values

### GL_NO_RESET_NOTIFICATION_ARB

public static final int GL_NO_RESET_NOTIFICATION_ARB
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_ARB:

See Also:
  - Constant Field Values

### GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB

public static final int GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB
Returned by GetIntegerv when <pname> is CONTEXT_FLAGS:

See Also:
  - Constant Field Values

## Method Details

### glGetGraphicsResetStatusARB

public static int glGetGraphicsResetStatusARB()

### glGetnMapdvARB

public static void glGetnMapdvARB(int target, int query, DoubleBuffer v)

### glGetnMapfvARB

public static void glGetnMapfvARB(int target, int query, FloatBuffer v)

### glGetnMapivARB

public static void glGetnMapivARB(int target, int query, IntBuffer v)

### glGetnPixelMapfvARB

public static void glGetnPixelMapfvARB(int map, FloatBuffer values)

### glGetnPixelMapuivARB

public static void glGetnPixelMapuivARB(int map, IntBuffer values)

### glGetnPixelMapusvARB

public static void glGetnPixelMapusvARB(int map, ShortBuffer values)

### glGetnPolygonStippleARB

public static void glGetnPolygonStippleARB(ByteBuffer pattern)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, ByteBuffer img)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, DoubleBuffer img)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, FloatBuffer img)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, IntBuffer img)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, ShortBuffer img)

### glGetnTexImageARB

public static void glGetnTexImageARB(int target, int level, int format, int type, int img_bufSize, long img_buffer_offset)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, ByteBuffer data)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, DoubleBuffer data)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, FloatBuffer data)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, IntBuffer data)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, ShortBuffer data)

### glReadnPixelsARB

public static void glReadnPixelsARB(int x, int y, int width, int height, int format, int type, int data_bufSize, long data_buffer_offset)

### glGetnColorTableARB

public static void glGetnColorTableARB(int target, int format, int type, ByteBuffer table)

### glGetnColorTableARB

public static void glGetnColorTableARB(int target, int format, int type, DoubleBuffer table)

### glGetnColorTableARB

public static void glGetnColorTableARB(int target, int format, int type, FloatBuffer table)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, ByteBuffer image)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, DoubleBuffer image)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, FloatBuffer image)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, IntBuffer image)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, ShortBuffer image)

### glGetnConvolutionFilterARB

public static void glGetnConvolutionFilterARB(int target, int format, int type, int image_bufSize, long image_buffer_offset)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ByteBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, FloatBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, IntBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ByteBuffer row, ShortBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, FloatBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, IntBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ByteBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, FloatBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, IntBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, FloatBuffer row, ShortBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ByteBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, FloatBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, IntBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, IntBuffer row, ShortBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ByteBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, FloatBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, IntBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, ByteBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, FloatBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, IntBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, ShortBuffer row, ShortBuffer column, ShortBuffer span)

### glGetnSeparableFilterARB

public static void glGetnSeparableFilterARB(int target, int format, int type, int row_rowBufSize, long row_buffer_offset, int column_columnBufSize, long column_buffer_offset, long span_buffer_offset)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, ByteBuffer values)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, DoubleBuffer values)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, FloatBuffer values)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, IntBuffer values)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, ShortBuffer values)

### glGetnHistogramARB

public static void glGetnHistogramARB(int target, boolean reset, int format, int type, int values_bufSize, long values_buffer_offset)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, ByteBuffer values)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, DoubleBuffer values)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, FloatBuffer values)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, IntBuffer values)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, ShortBuffer values)

### glGetnMinmaxARB

public static void glGetnMinmaxARB(int target, boolean reset, int format, int type, int values_bufSize, long values_buffer_offset)

### glGetnCompressedTexImageARB

public static void glGetnCompressedTexImageARB(int target, int lod, ByteBuffer img)

### glGetnCompressedTexImageARB

public static void glGetnCompressedTexImageARB(int target, int lod, IntBuffer img)

### glGetnCompressedTexImageARB

public static void glGetnCompressedTexImageARB(int target, int lod, ShortBuffer img)

### glGetnCompressedTexImageARB

public static void glGetnCompressedTexImageARB(int target, int lod, int img_bufSize, long img_buffer_offset)

### glGetnUniformfvARB

public static void glGetnUniformfvARB(int program, int location, FloatBuffer params)

### glGetnUniformivARB

public static void glGetnUniformivARB(int program, int location, IntBuffer params)

### glGetnUniformuivARB

public static void glGetnUniformuivARB(int program, int location, IntBuffer params)

### glGetnUniformdvARB

public static void glGetnUniformdvARB(int program, int location, DoubleBuffer params)